Index: doc/latex/libEF_8h__incl.eps
===================================================================
--- doc/latex/libEF_8h__incl.eps (revision 210)
+++ doc/latex/libEF_8h__incl.eps (revision 261)
@@ -180,75 +180,213 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 245 240
+%%PageBoundingBox: 36 36 188 298
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 209 204 boxprim clip newpath
+36 36 152 262 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 5 174 moveto
-5 195 lineto
-169 195 lineto
-169 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 5 174 moveto
-5 195 lineto
-169 195 lineto
-169 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-13 181.5 moveto 148 (work/git/mixpp/bdm/stat/libEF.h) alignedtext
+newpath 39 232 moveto
+39 253 lineto
+84 253 lineto
+84 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 39 232 moveto
+39 253 lineto
+84 253 lineto
+84 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+46.5 239.5 moveto 29 (libEF.h) alignedtext
 grestore
 % Node2
 gsave
+[ /Rect [ 0 117 50 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 45 0 moveto
-45 21 lineto
-120 21 lineto
-120 0 lineto
+newpath 0 116 moveto
+0 137 lineto
+51 137 lineto
+51 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+51 137 lineto
+51 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 123.5 moveto 35 (libBM.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 56 232 moveto
+52 222 47 208 43 196 curveto
+37 179 33 161 29 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 32.39 146.12 moveto
+27 137 lineto
+25.53 147.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32.39 146.12 moveto
+27 137 lineto
+25.53 147.49 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 52 175 144 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 52 174 moveto
+52 195 lineto
+145 195 lineto
+145 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 52 174 moveto
+52 195 lineto
+145 195 lineto
+145 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+59.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68 232 moveto
+73 224 80 213 86 203 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.8 205.1 moveto
+92 195 lineto
+83.2 200.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.8 205.1 moveto
+92 195 lineto
+83.2 200.9 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 24 59 96 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 24 58 moveto
+24 79 lineto
+96 79 lineto
+96 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 24 58 moveto
+24 79 lineto
+96 79 lineto
+96 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+32 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32 116 moveto
+36 108 43 97 49 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 52.2 89.44 moveto
+54 79 lineto
+46.08 86.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 52.2 89.44 moveto
+54 79 lineto
+46.08 86.04 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 23 0 moveto
+23 21 lineto
+98 21 lineto
+98 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 45 0 moveto
-45 21 lineto
-120 21 lineto
-120 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-52.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 49 174 moveto
-31 167 11 155 0 138 curveto
--24 97 26 50 59 27 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 61.1 29.8 moveto
-67 21 lineto
-56.9 24.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 61.1 29.8 moveto
-67 21 lineto
-56.9 24.2 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 9 117 95 137 ]
+newpath 23 0 moveto
+23 21 lineto
+98 21 lineto
+98 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+30.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 60 58 moveto
+60 50 60 40 60 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 63.5 31 moveto
+60 21 lineto
+56.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 63.5 31 moveto
+60 21 lineto
+56.5 31 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 71 117 121 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -256,240 +394,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 9 116 moveto
-9 137 lineto
+newpath 71 116 moveto
+71 137 lineto
+121 137 lineto
+121 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 71 116 moveto
+71 137 lineto
+121 137 lineto
+121 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+79 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 98 174 moveto
+97 166 97 156 97 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 100.48 146.6 moveto
 96 137 lineto
-96 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 9 116 moveto
-9 137 lineto
+93.51 147.3 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 100.48 146.6 moveto
 96 137 lineto
-96 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-16.5 123.5 moveto 71 (../math/libDC.h) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 80 174 moveto
-76 166 69 155 63 146 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 65.92 144.04 moveto
-58 137 lineto
-59.8 147.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 65.92 144.04 moveto
-58 137 lineto
-59.8 147.44 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 78 59 150 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 78 58 moveto
-78 79 lineto
-150 79 lineto
-150 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 78 58 moveto
-78 79 lineto
-150 79 lineto
-150 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-86 65.5 moveto 56 (../itpp_ext.h) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 92 174 moveto
-95 164 100 150 104 138 curveto
-108 121 111 103 112 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 115.49 89.3 moveto
-113 79 lineto
-108.52 88.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 115.49 89.3 moveto
-113 79 lineto
-108.52 88.6 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 151 117 201 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 151 116 moveto
-151 137 lineto
-202 137 lineto
-202 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 151 116 moveto
-151 137 lineto
-202 137 lineto
-202 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-158.5 123.5 moveto 35 (libBM.h) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 104 174 moveto
-117 165 137 152 152 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 153.96 144.92 moveto
-161 137 lineto
-150.56 138.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 153.96 144.92 moveto
-161 137 lineto
-150.56 138.8 lineto
-closepath stroke
-grestore
-% Node3->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 55 116 moveto
-58 102 64 78 69 58 curveto
-72 49 75 39 77 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 80.47 31.49 moveto
-79 21 lineto
-73.61 30.12 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 80.47 31.49 moveto
-79 21 lineto
-73.61 30.12 lineto
-closepath stroke
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 64 116 moveto
-73 107 85 96 95 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 97.78 88.22 moveto
-103 79 lineto
-93.17 82.95 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 97.78 88.22 moveto
-103 79 lineto
-93.17 82.95 lineto
-closepath stroke
-grestore
-% Node4->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 108 58 moveto
-104 50 98 39 93 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 95.92 28.04 moveto
-88 21 lineto
-89.8 31.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95.92 28.04 moveto
-88 21 lineto
-89.8 31.44 lineto
-closepath stroke
-grestore
-% Node5->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 176 116 moveto
-175 101 171 75 159 58 curveto
-148 44 133 33 118 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 119.56 21.86 moveto
-109 21 lineto
-116.72 28.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119.56 21.86 moveto
-109 21 lineto
-116.72 28.26 lineto
-closepath stroke
-grestore
-% Node5->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164 116 moveto
-155 107 143 96 133 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 134.83 82.95 moveto
-125 79 lineto
-130.22 88.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134.83 82.95 moveto
-125 79 lineto
-130.22 88.22 lineto
+93.51 147.3 lineto
+closepath stroke
+grestore
+% Node6->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 89 116 moveto
+85 108 78 97 72 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 74.8 84.9 moveto
+66 79 lineto
+69.2 89.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 74.8 84.9 moveto
+66 79 lineto
+69.2 89.1 lineto
 closepath stroke
 grestore
@@ -501,5 +460,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 245 240
+%%BoundingBox: 36 36 188 298
 end
 restore
